Bug 1118854 - [abrt] rawstudio: rs_lens_db_editor_update_lensfun(): rawstudio killed by SIGSEGV
Summary: [abrt] rawstudio: rs_lens_db_editor_update_lensfun(): rawstudio killed by SIG...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: rawstudio
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Gianluca Sforna
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:c298b6962dbfed542fa168c84dd...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-11 17:48 UTC by Mikhail Yarashevich
Modified: 2015-07-18 02:03 UTC (History)
3 users (show)

Fixed In Version: rawstudio-2.1-0.1.20150511git983bda1.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-30 01:36:05 UTC


Attachments (Terms of Use)
File: backtrace (64.84 KB, text/plain)
2014-07-11 17:48 UTC, Mikhail Yarashevich
no flags Details
File: cgroup (180 bytes, text/plain)
2014-07-11 17:48 UTC, Mikhail Yarashevich
no flags Details
File: core_backtrace (24.57 KB, text/plain)
2014-07-11 17:48 UTC, Mikhail Yarashevich
no flags Details
File: dso_list (15.72 KB, text/plain)
2014-07-11 17:48 UTC, Mikhail Yarashevich
no flags Details
File: environ (3.10 KB, text/plain)
2014-07-11 17:48 UTC, Mikhail Yarashevich
no flags Details
File: limits (1.29 KB, text/plain)
2014-07-11 17:48 UTC, Mikhail Yarashevich
no flags Details
File: maps (78.26 KB, text/plain)
2014-07-11 17:48 UTC, Mikhail Yarashevich
no flags Details
File: open_fds (1.16 KB, text/plain)
2014-07-11 17:48 UTC, Mikhail Yarashevich
no flags Details
File: proc_pid_status (945 bytes, text/plain)
2014-07-11 17:48 UTC, Mikhail Yarashevich
no flags Details
File: var_log_messages (1.20 KB, text/plain)
2014-07-11 17:48 UTC, Mikhail Yarashevich
no flags Details
File: exploitable (168 bytes, application/octet-stream)
2014-07-11 17:48 UTC, Mikhail Yarashevich
no flags Details

Description Mikhail Yarashevich 2014-07-11 17:48:15 UTC
Description of problem:
Try to update lensfun database.

Version-Release number of selected component:
rawstudio-2.0-12.fc20

Additional info:
reporter:       libreport-2.2.2
backtrace_rating: 4
cmdline:        rawstudio
crash_function: rs_lens_db_editor_update_lensfun
executable:     /usr/bin/rawstudio
kernel:         3.15.4-200.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 rs_lens_db_editor_update_lensfun at rs-lens-db-editor.c:753
 #1 update_lensfun at rs-lens-db-editor.c:498
 #6 gtk_real_button_released at gtkbutton.c:1712
 #7 _g_closure_invoke_va at gclosure.c:840
 #10 gtk_button_button_release at gtkbutton.c:1604
 #11 _gtk_marshal_BOOLEAN__BOXED at gtkmarshalers.c:86
 #16 gtk_widget_event_internal at gtkwidget.c:5017
 #17 gtk_widget_event at gtkwidget.c:4814
 #18 gtk_propagate_event at gtkmain.c:2490
 #19 gtk_main_do_event at gtkmain.c:1685

Potential duplicate: bug 948044

Comment 1 Mikhail Yarashevich 2014-07-11 17:48:21 UTC
Created attachment 917396 [details]
File: backtrace

Comment 2 Mikhail Yarashevich 2014-07-11 17:48:22 UTC
Created attachment 917397 [details]
File: cgroup

Comment 3 Mikhail Yarashevich 2014-07-11 17:48:24 UTC
Created attachment 917398 [details]
File: core_backtrace

Comment 4 Mikhail Yarashevich 2014-07-11 17:48:25 UTC
Created attachment 917399 [details]
File: dso_list

Comment 5 Mikhail Yarashevich 2014-07-11 17:48:27 UTC
Created attachment 917400 [details]
File: environ

Comment 6 Mikhail Yarashevich 2014-07-11 17:48:29 UTC
Created attachment 917401 [details]
File: limits

Comment 7 Mikhail Yarashevich 2014-07-11 17:48:33 UTC
Created attachment 917402 [details]
File: maps

Comment 8 Mikhail Yarashevich 2014-07-11 17:48:34 UTC
Created attachment 917403 [details]
File: open_fds

Comment 9 Mikhail Yarashevich 2014-07-11 17:48:36 UTC
Created attachment 917404 [details]
File: proc_pid_status

Comment 10 Mikhail Yarashevich 2014-07-11 17:48:37 UTC
Created attachment 917405 [details]
File: var_log_messages

Comment 11 Mikhail Yarashevich 2014-07-11 17:48:38 UTC
Created attachment 917406 [details]
File: exploitable

Comment 12 Anders Brander 2014-12-03 07:47:44 UTC
Fixed in upstream:
https://github.com/rawstudio/rawstudio/commit/c79f3aa5da4d37f6e2839a9578dac5cc35259298

(and yes, it is a duplicate)

Comment 13 Fedora Update System 2015-05-13 18:25:46 UTC
rawstudio-2.1-0.1.20150511git983bda1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/rawstudio-2.1-0.1.20150511git983bda1.fc22

Comment 14 Fedora Update System 2015-05-13 18:28:36 UTC
rawstudio-2.1-0.1.20150511git983bda1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/rawstudio-2.1-0.1.20150511git983bda1.fc21

Comment 15 Fedora Update System 2015-05-13 18:29:29 UTC
rawstudio-2.1-0.1.20150511git983bda1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/rawstudio-2.1-0.1.20150511git983bda1.fc20

Comment 16 Fedora Update System 2015-05-14 11:15:08 UTC
Package rawstudio-2.1-0.1.20150511git983bda1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing rawstudio-2.1-0.1.20150511git983bda1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-8159/rawstudio-2.1-0.1.20150511git983bda1.fc20
then log in and leave karma (feedback).

Comment 17 Fedora End Of Life 2015-05-29 12:21:07 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 18 Fedora End Of Life 2015-06-30 01:36:05 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 19 Fedora Update System 2015-07-18 01:58:28 UTC
rawstudio-2.1-0.1.20150511git983bda1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2015-07-18 02:03:02 UTC
rawstudio-2.1-0.1.20150511git983bda1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.